DEVICE_GET_IVARS(9)

NAME
device_get_ivars, device_set_ivars - access bus private variables

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void *
device_get_ivars(device_t dev);
void
device_set_ivars(device_t dev, void *ivar);

DESCRIPTION
The device_get_ivars() function returns the bus-specific instance variables of a device.

The device_set_ivars() function sets the bus-specific instance variables of a device.

Typically, only bus drivers will use these functions. The kernel assumes that the bus driver will manage this memory, and no automatic memory allocation or deallocation happens. Client drivers should access ivars through the BUS_READ_IVAR(9) interface instead.

SEE ALSO
device(9)

AUTHORS
This manual page was written by Doug Rabson.